Bug 56632 - The game Tile Racer fails to run after loading (GM 45)
The game Tile Racer fails to run after loading (GM 45)
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
9.0
x86 (IA32) Linux (All)
: medium normal
Assigned To: Ian Romanick
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 08:33 UTC by Md Imam Hossain
Modified: 2013-06-07 22:45 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Md Imam Hossain 2012-11-01 08:33:06 UTC
The Game

http://tileracer.model-view.com/tl/index.php/downloads.html

used to run with Mesa 7.11 now just exists after loading a race. The game uses OpenGL 2 and pixel shader.

Broken on Mesa 8 and 9 and git.

Tested On:

Ubuntu 12.10
Linux 3.5 (both 32 and 64 bit)
X.Org X Server 1.13.0
xf86-video-intel 2.20.10
libdrm 2.4.39
Mesa 8, 9 and git (both 32 and 64 bit)

Hardware: Intel GMA 4500 MHD (device id 2a42)
Comment 1 Ian Romanick 2012-11-01 18:26:40 UTC
Fails to run is pretty vague.  What happens?  Does it crash?  Emit some error message and exit?  Catch your house on fire?
Comment 2 Md Imam Hossain 2012-11-02 00:28:42 UTC
The game uses open source OGRE engine. What happens the game starts like normally it would then I gotta choose the map then it loads then at the end of loading it crashes to the terminal emitting no significant output.

Maybe I have to use some tracing software like Apitrace to find out more.
Comment 3 Md Imam Hossain 2013-06-07 22:45:35 UTC
fixed in master My guess this commit fixes it

http://cgit.freedesktop.org/mesa/mesa/commit/?id=9e3475b39ae34244045e0dcd6b98e1526c10c6bf

Cheers